.wrapper {
	position: relative;
	margin: 3rem 0;
}

.axisLabel {
	position: absolute;
	text-transform: uppercase;
	font-size: 0.8em;
	font-weight: var(--sustk-font-weight-semibold);
	background-color: white;
	padding: 0.5em 1em;
}

.xAxisLabelHigh {
	right: 0;
	bottom: 50%;
	transform: translateY(50%);
}

.xAxisLabelLow {
	left: 0;
	bottom: 50%;
	transform: translateY(50%);
}

.yAxisLabelHigh {
	top: 0;
	left: 50%;
	transform: translate(-50%, -40%);
}

.yAxisLabelLow {
	bottom: 0;
	left: 50%;
	transform: translate(-50%, 40%);
}

.matrix {
	min-height: 500px;
	display: grid;
	grid-auto-rows: 1fr;
	grid-auto-columns: 1fr;
}

.quadrant {
	padding: 3rem 1rem;
	display: flex;
	justify-content: center;
	align-items: center;
}

.quadrant--high-high {
	grid-column: 2 / 3;
	grid-row: 1 / 2;
	border-left: 1px dashed var(--sustk-color-gray);
	border-bottom: 1px dashed var(--sustk-color-gray);
	border-top: 5px solid var(--sustk-color-green-lighter);
	border-right: 5px solid var(--sustk-color-green-lighter);
}

.quadrant--high-low {
	grid-column: 2 / 3;
	grid-row: 2 / 3;
	border-left: 1px dashed var(--sustk-color-gray);
	border-top: 1px dashed var(--sustk-color-gray);
	border-right: 5px solid var(--sustk-color-gray-light);
	border-bottom: 5px solid var(--sustk-color-gray-light);
}

.quadrant--low-high {
	grid-column: 1 / 2;
	grid-row: 1 / 2;
	border-right: 1px dashed var(--sustk-color-gray);
	border-bottom: 1px dashed var(--sustk-color-gray);
	border-left: 5px solid var(--sustk-color-gray-light);
	border-top: 5px solid var(--sustk-color-gray-light);
}

.quadrant--low-low {
	grid-column: 1 / 2;
	grid-row: 2 / 3;
	border-right: 1px dashed var(--sustk-color-gray);
	border-top: 1px dashed var(--sustk-color-gray);
	border-bottom: 5px solid var(--sustk-color-red-lighter);
	border-left: 5px solid var(--sustk-color-red-lighter);
}

.revenueModels {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}

.revenueModelCheckboxWrapper {
	display: flex;
	align-items: flex-start;
	line-height: 1.45;
	gap: 0.25em;
	font-size: 0.9em;
	cursor: pointer;
	background-color: var(--sustk-color-gray-lightest);
	padding: 0.5em;
}

.revenueModelCheckboxWrapper:hover {
	background-color: var(--sustk-color-gray-lighter);
}

.revenueModelCheckboxWrapper--high-high.checked {
	background-color: var(--sustk-color-green-lighter);
}

.revenueModelCheckboxWrapper--high-low.checked,
.revenueModelCheckboxWrapper--low-high.checked {
	background-color: var(--sustk-color-gray-light);
}

.revenueModelCheckboxWrapper--low-low.checked {
	background-color: var(--sustk-color-red-lighter);
}
